Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security.credentials
Class DeployableCredentialMapperImpl

    java.lang.Object
      |
      +--weblogic.management.security.BaseMBeanImpl
            |
            +--weblogic.management.security.ProviderImpl
                  |
                  +--weblogic.management.security.credentials.CredentialMapperImpl
                        |
                        +--weblogic.management.security.credentials.DeployableCredentialMapperImpl

public class DeployableCredentialMapperImpl
extends CredentialMapperImpl

DeployableCredentialMapperImpl This class extends the CredentialMapperImpl class. For security provider implementations used to store credential maps created during Resource Adapter deployment extend this class. See additional text in ProviderImpl.java.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`DeployableCredentialMapperImpl(javax.management.modelmbean.RequiredModelMBean base)` Constructor for the DeployableCredentialMapperImpl object

Methods inherited from class weblogic.management.security.BaseMBeanImpl
`getProxy, getRequiredModelMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeployableCredentialMapperImpl

    public DeployableCredentialMapperImpl(javax.management.modelmbean.RequiredModelMBean base)
                                   throws javax.management.MBeanException

  Constructor for the DeployableCredentialMapperImpl object

  Parameters:
    `base` - Description of the Parameter
  Throws:
    javax.management.MBeanException - Description of the Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD